Index: pjproject/main/pjlib/build/pjlibpp.vcproj
===================================================================
--- pjproject/main/pjlib/build/pjlibpp.vcproj	(revision 1)
+++ pjproject/main/pjlib/build/pjlibpp.vcproj	(revision 6)
@@ -4,9 +4,8 @@
 	Version="7.10"
 	Name="pjlibpp"
-	ProjectGUID="{488B9CA1-8F59-4E4E-8748-D6A712CF9F3C}"
-	SccProjectName="&quot;$/pjproject&quot;, PIAAAAAA"
+	SccProjectName=""
 	SccAuxPath=""
-	SccLocalPath="..\.."
-	SccProvider="MSSCCI:Microsoft Visual SourceSafe">
+	SccLocalPath=""
+	SccProvider="">
 	<Platforms>
 		<Platform
@@ -16,6 +15,6 @@
 		<Configuration
 			Name="Release|Win32"
-			OutputDirectory=".\output\pjlibpp_vc7_Release"
-			IntermediateDirectory=".\output\pjlibpp_vc7_Release"
+			OutputDirectory=".\output\pjlibpp-i386-win32-vc7-release"
+			IntermediateDirectory=".\output\pjlibpp-i386-win32-vc7-release"
 			ConfigurationType="4"
 			UseOfMFC="0"
@@ -27,13 +26,12 @@
 				InlineFunctionExpansion="1"
 				AdditionalIncludeDirectories="../src"
-				PreprocessorDefinitions="WIN32;NDEBUG;_LIB"
+				PreprocessorDefinitions="NDEBUG;WIN32;_LIB;PJ_WIN32;PJ_M_I386"
 				StringPooling="TRUE"
 				RuntimeLibrary="2"
 				EnableFunctionLevelLinking="TRUE"
-				UsePrecompiledHeader="2"
-				PrecompiledHeaderFile=".\output\pjlibpp_vc7_Release/pjlibpp.pch"
-				AssemblerListingLocation=".\output\pjlibpp_vc7_Release/"
-				ObjectFile=".\output\pjlibpp_vc7_Release/"
-				ProgramDataBaseFileName=".\output\pjlibpp_vc7_Release/"
+				PrecompiledHeaderFile=".\output\pjlibpp-i386-win32-vc7-release/pjlibpp.pch"
+				AssemblerListingLocation=".\output\pjlibpp-i386-win32-vc7-release/"
+				ObjectFile=".\output\pjlibpp-i386-win32-vc7-release/"
+				ProgramDataBaseFileName=".\output\pjlibpp-i386-win32-vc7-release/"
 				WarningLevel="3"
 				SuppressStartupBanner="TRUE"
@@ -43,5 +41,5 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="..\lib\pjlibpp_vc7s.lib"
+				OutputFile="../lib/pjlibp_vc6s.lib"
 				SuppressStartupBanner="TRUE"/>
 			<Tool
@@ -68,6 +66,6 @@
 		<Configuration
 			Name="Debug|Win32"
-			OutputDirectory=".\output\pjlibpp_vc7_Debug"
-			IntermediateDirectory=".\output\pjlibpp_vc7_Debug"
+			OutputDirectory=".\output\pjlibpp-i386-win32-vc7-debug"
+			IntermediateDirectory=".\output\pjlibpp-i386-win32-vc7-debug"
 			ConfigurationType="4"
 			UseOfMFC="0"
@@ -78,12 +76,11 @@
 				Optimization="0"
 				AdditionalIncludeDirectories="../src"
-				PreprocessorDefinitions="WIN32;_DEBUG;_LIB"
+				PreprocessorDefinitions="_DEBUG;WIN32;_LIB;PJ_WIN32;PJ_M_I386"
 				BasicRuntimeChecks="3"
 				RuntimeLibrary="1"
-				UsePrecompiledHeader="2"
-				PrecompiledHeaderFile=".\output\pjlibpp_vc7_Debug/pjlibpp.pch"
-				AssemblerListingLocation=".\output\pjlibpp_vc7_Debug/"
-				ObjectFile=".\output\pjlibpp_vc7_Debug/"
-				ProgramDataBaseFileName=".\output\pjlibpp_vc7_Debug/"
+				PrecompiledHeaderFile=".\output\pjlibpp-i386-win32-vc7-debug/pjlibpp.pch"
+				AssemblerListingLocation=".\output\pjlibpp-i386-win32-vc7-debug/"
+				ObjectFile=".\output\pjlibpp-i386-win32-vc7-debug/"
+				ProgramDataBaseFileName=".\output\pjlibpp-i386-win32-vc7-debug/"
 				WarningLevel="3"
 				SuppressStartupBanner="TRUE"
@@ -94,5 +91,5 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="..\lib\pjlibpp_vc7sd.lib"
+				OutputFile="../lib/pjlibp_vc6sd.lib"
 				SuppressStartupBanner="TRUE"/>
 			<Tool
@@ -127,16 +124,13 @@
 				RelativePath="..\src\pj++\compiletest.cpp">
 				<FileConfiguration
-					Name="Release|Win32"
-					ExcludedFromBuild="TRUE">
+					Name="Release|Win32">
 					<Tool
 						Name="VCCLCompilerTool"
 						Optimization="2"
 						AdditionalIncludeDirectories=""
-						PreprocessorDefinitions=""
-						AssemblerOutput="4"/>
-				</FileConfiguration>
-				<FileConfiguration
-					Name="Debug|Win32"
-					ExcludedFromBuild="TRUE">
+						PreprocessorDefinitions=""/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Debug|Win32">
 					<Tool
 						Name="VCCLCompilerTool"
@@ -150,14 +144,19 @@
 				RelativePath="..\src\pj++\pj++.cpp">
 				<FileConfiguration
-					Name="Release|Win32"
-					ExcludedFromBuild="TRUE">
-					<Tool
-						Name="VCCLCompilerTool"/>
-				</FileConfiguration>
-				<FileConfiguration
-					Name="Debug|Win32"
-					ExcludedFromBuild="TRUE">
-					<Tool
-						Name="VCCLCompilerTool"/>
+					Name="Release|Win32">
+					<Tool
+						Name="VCCLCompilerTool"
+						Optimization="2"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Debug|Win32">
+					<Tool
+						Name="VCCLCompilerTool"
+						Optimization="0"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""
+						BasicRuntimeChecks="3"/>
 				</FileConfiguration>
 			</File>
@@ -165,14 +164,19 @@
 				RelativePath="..\src\pj++\proactor.cpp">
 				<FileConfiguration
-					Name="Release|Win32"
-					ExcludedFromBuild="TRUE">
-					<Tool
-						Name="VCCLCompilerTool"/>
-				</FileConfiguration>
-				<FileConfiguration
-					Name="Debug|Win32"
-					ExcludedFromBuild="TRUE">
-					<Tool
-						Name="VCCLCompilerTool"/>
+					Name="Release|Win32">
+					<Tool
+						Name="VCCLCompilerTool"
+						Optimization="2"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Debug|Win32">
+					<Tool
+						Name="VCCLCompilerTool"
+						Optimization="0"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""
+						BasicRuntimeChecks="3"/>
 				</FileConfiguration>
 			</File>
@@ -192,4 +196,7 @@
 			<File
 				RelativePath="..\src\pj++\os.hpp">
+			</File>
+			<File
+				RelativePath="..\src\pjlib++.hpp">
 			</File>
 			<File
